Bug 21018 - cascading of keyframes in @keyframes should be per-property rather than per-rule
Summary: cascading of keyframes in @keyframes should be per-property rather than per-rule
Status: RESOLVED FIXED
Alias: None
Product: CSS
Classification: Unclassified
Component: Animations (show other bugs)
Version: unspecified
Hardware: All All
: P2 normal
Target Milestone: ---
Assignee: Dean Jackson
QA Contact: public-css-bugzilla
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-16 05:33 UTC by L. David Baron (Mozilla)
Modified: 2014-05-19 23:02 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description L. David Baron (Mozilla) 2013-02-16 05:33:50 UTC
As proposed in:
http://lists.w3.org/Archives/Public/www-style/2011Apr/0381.html
http://lists.w3.org/Archives/Public/www-style/2011Apr/0387.html

Gecko implements it this way, and I think it fits better with the rest of CSS.

(Not sure how there wasn't a bug on this already.)
Comment 1 Sylvain Galineau 2013-02-21 04:48:38 UTC
The WG resolved to allow keyframes to cascade on 2/20/13. 
ACTION on glazou to propose the related OM updates.